BizKitHub
DocsAPI ReferenceLedger/bff/ledger/period/set-lock
postLedgerAdmin BFF

/bff/ledger/period/set-lock

Set or clear the date lock (no postings on or before it)

LedgerpostBffLedgerPeriodSet-lock

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
lockedUntilstring | nullRequired
One of 2:
Variant 1
string
Example2026-03-31
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired

Response example

application/json
{
  "success": false
}

Request example

POST /bff/ledger/period/set-lock

post
curl -X POST "https://api.bizkithub.com/bff/ledger/period/set-lock" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key